### Encoding: latin1

### Name: UPtille
### Title: Till sampling
### Aliases: UPtille
### Keywords: survey

### ** Examples

############
## Example 1
############
#define the prescribed inclusion probabilities
pik=c(0.2,0.7,0.8,0.5,0.4,0.4)
#select a sample
UPtille(pik)
############
## Example 2
############
# Selection of samples of municipalities       
# with equal or unequal probabilities.         
# Comparison of the accuracy by a boxplot.                                                 
b=data(belgianmunicipalities)
pik=inclusionprobabilities(belgianmunicipalities$Tot04,200)
N=length(pik)
n=sum(pik)
sim=10
ss=array(0,c(sim,9))
# the interest variable
y=belgianmunicipalities$TaxableIncome
# simulation and computation of the Horvitz-Thompson estimator
for(i in 1:sim)
{
cat("Step ",i,"\n")
ss[i,]=ss[i,]+c(
c(crossprod(y,UPpoisson(pik)/pik)),
c(crossprod(y,UPrandomsystematic(pik)/pik)),
c(crossprod(y,UPrandompivotal(pik)/pik)),
c(crossprod(y,UPtille(pik)/pik)),
c(crossprod(y,UPmidzuno(pik)/pik)),
c(crossprod(y,UPsystematic(pik)/pik)),
c(crossprod(y,UPpivotal(pik)/pik)),
c(crossprod(y,UPmultinomial(pik)/pik)) ,
c(crossprod(y,srswor(n,N)*N/n)))
}
# boxplot of the estimators
colnames(ss) <- 
c("poisson","rsyst","rpivotal","tille","midzuno","syst","pivotal","multinom","srswor")
boxplot(data.frame(ss), las=3)
# The results  of the simulations can be interpreted.
# Simple random sampling, multinomial sampling, 
#  and Poisson sampling are not accurate.
# All the methods of unequal probability sampling seem
# to have the same accuracy, except systematic sampling and pivotal sampling
# that have variances which depend on the order of the file.



